comedi_find_range
Prev | 5.4.1. Core Functions | Next

## Name

comedi_find_range — search for range

## Synopsis

    #include <comedilib.h>

`int comedi_find_range(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int channel,
| unsigned int unit,
| double min,
| double max`)`;

## Description

The function `comedi_find_range` tries to locate the optimal (smallest) range for the channel `channel` belonging to subdevice `subdevice` of the comedi device `device`, that includes both `min` and `max` in units of `unit`.

## Return value

If a matching range is found, the index of the matching range is returned. If no matching range is available, the function returns `-1`.

Prev | Up | Next
comedi_fileno | Home | comedi_find_subdevice_by_type